Sys.readlink {base} | R Documentation

## Read File Symbolic Links

### Description

Find out if a file path is a symbolic link, and if so what it is linked to, via the system call `readlink`.

Symbolic links are a Unix concept, not implemented on Windows.

### Usage

    Sys.readlink(paths)

### Arguments

`paths` | character vector of file paths. Tilde expansion is done: see `path.expand`.

### Value

A character vector of the the same length as `paths`. The entries are the path of the file linked to, `""` if the path is not a symbolic link, and `NA` if there is an error (e.g., the path does not exist).

### See Also

`file.symlink`, `file.info`

[Package base version 2.15.1 Index]